#! /bin/bash

. $dracutfunctions

check() {
    if [ -z "$IN_KDUMP" ] ; then
	return 1
    fi
    systemctl is-active FJSVfefpcl.service --quiet
    if [ $? -ne 0 ] ; then
        return 1
    fi
    return 0
}

install() {
    inst "$moddir/panicforpcl_lib.sh" "/usr/lib/FJSVpanicforpcl/panicforpcl_lib.sh"
    inst_hook cmdline 9999 "$moddir/set_system_status_dumping.sh"
    inst "$moddir/panicforpcl.conf" "/etc/modprobe.d/panicforpcl.conf"
    inst "/usr/bin/ipmitool" "/usr/bin/ipmitool"
    inst "$moddir/00-set_system_status_halt.sh" "/usr/libexec/kdump-post-wrapper/executables/00-set_system_status_halt.sh"
}
